# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-02-21 20:15
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Manufacturer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('last_mod_date', models.DateTimeField(auto_now=True)),
                ('moderated', models.BooleanField(default=False)),
                ('name', models.CharField(db_index=True, max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='OperatingSystem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('moderated', models.BooleanField(default=False)),
                ('name', models.CharField(db_index=True, max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('moderated', models.BooleanField(default=False)),
                ('body', models.TextField()),
                ('user_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('rejection_reason', models.CharField(blank=True, max_length=255, null=True)),
                ('successful', models.BooleanField(default=False)),
                ('source', models.CharField(blank=True, default=None, max_length=128, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ScanLibrary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('moderated', models.BooleanField(default=False)),
                ('name', models.CharField(db_index=True, max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Scanner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('last_mod_date', models.DateTimeField(auto_now=True)),
                ('moderated', models.BooleanField(default=False)),
                ('name', models.CharField(db_index=True, max_length=128)),
                ('manufacturer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scannerdb.Manufacturer')),
            ],
        ),
        migrations.CreateModel(
            name='TestProgram',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True)),
                ('moderated', models.BooleanField(default=False)),
                ('name', models.CharField(db_index=True, max_length=128)),
            ],
        ),
        migrations.AddField(
            model_name='report',
            name='library',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scannerdb.ScanLibrary'),
        ),
        migrations.AddField(
            model_name='report',
            name='os',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scannerdb.OperatingSystem'),
        ),
        migrations.AddField(
            model_name='report',
            name='program',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scannerdb.TestProgram'),
        ),
        migrations.AddField(
            model_name='report',
            name='scanner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='scannerdb.Scanner'),
        ),
        migrations.AlterIndexTogether(
            name='scanner',
            index_together=set([('name', 'manufacturer')]),
        ),
    ]
